# Bio.PDB.HSExposure module

Half-sphere exposure and coordination number calculation.

class Bio.PDB.HSExposure.HSExposureCA(model, radius=12, offset=0)

  Bases: `_AbstractHSExposure`

  Class to calculate HSE based on the approximate CA-CB vectors.

  Uses three consecutive CA positions.

  __init__(model, radius=12, offset=0)

    Initialize class.

    Parameters:

      - model (L{Model}) – the model that contains the residues

      - radius (float) – radius of the sphere (centred at the CA atom)

      - offset (int) – number of flanking residues that are ignored in the calculation of the number of neighbors

  pcb_vectors_pymol(filename='hs_exp.py')

    Write PyMol script for visualization.

    Write a PyMol script that visualizes the pseudo CB-CA directions at the CA coordinates.

    Parameters:

      filename (string) – the name of the pymol script file

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 136
  __static_attributes__ = ()

class Bio.PDB.HSExposure.HSExposureCB(model, radius=12, offset=0)

  Bases: `_AbstractHSExposure`

  Class to calculate HSE based on the real CA-CB vectors.

  __init__(model, radius=12, offset=0)

    Initialize class.

    Parameters:

      - model (L{Model}) – the model that contains the residues

      - radius (float) – radius of the sphere (centred at the CA atom)

      - offset (int) – number of flanking residues that are ignored in the calculation of the number of neighbors

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 238
  __static_attributes__ = ()

class Bio.PDB.HSExposure.ExposureCN(model, radius=12.0, offset=0)

  Bases: `AbstractPropertyMap`

  Residue exposure as number of CA atoms around its CA atom.

  __init__(model, radius=12.0, offset=0)

    Initialize class.

    A residue’s exposure is defined as the number of CA atoms around that residue’s CA atom. A dictionary is returned that uses a L{Residue} object as key, and the residue exposure as corresponding value.

    Parameters:

      - model (L{Model}) – the model that contains the residues

      - radius (float) – radius of the sphere (centred at the CA atom)

      - offset (int) – number of flanking residues that are ignored in the calculation of the number of neighbors

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 274
  __static_attributes__ = ()

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub